Skip to main content

Edit Voice

POST 

https://api.knoxstudio.ai/v1/voices/:voice_id/edit

Update a voice. name is required. Not billed.

Request​

Path Parameters​

NameTypeRequiredDescription
voice_idStringYesVoice ID.

Request Headers​

NameTypeRequiredDescription
AuthorizationStringYesBearer <token> Knox API key. xi-api-key is also accepted.
Content-TypeStringYesmultipart/form-data

Request Body​

NameTypeRequiredDescription
nameStringYesDisplay name.
filesFileNoOptional replacement samples.
descriptionStringNoForwarded description.
labelsStringNoJSON object or JSON string of labels.

cURL Example​

curl -X POST https://api.knoxstudio.ai/v1/voices/voice_id/edit \
-H "Authorization: Bearer $KNOXCHAT_API_KEY" \
-F "name=Studio Narrator"

Response​

Success Response (200)​

Updated voice JSON.

Error Responses​

Validation uses HTTP 422:

{
"detail": [
{
"loc": ["body", "field"],
"msg": "…",
"type": "value_error"
}
]
}

Other errors use { "detail": "message" }.

StatusWhen
400WebSocket path called without Upgrade: websocket.
401Missing or invalid API key.
402Insufficient credits.
403Token is not allowed to use this model.
404Resource not found.
422Validation error.
429Rate limit exceeded.
500Internal server error.